1. 03. Card
Tevau-openApi
  • Get started
  • Signature instructions
  • Transaction description
  • FAQ
  • Exception Codes
  • 01. User
    • 1.1 Create User
      POST
    • 1.2 Query User
      POST
  • 02. KYC
    • 2.1 V1 submits the customer's KYC information
    • 2.2 Get the URL
    • 2.3 Query liveness results
    • 2.4 Query KYC
    • 2.5 [Sandbox] Simulate KYC Review
    • 2.6 Create Document File
    • 2.7 Upload Document Files
    • 2.8 V2 Submit customer's KYC information
  • 03. Card
    • 3.1 Create Card
      POST
    • 3.2 Query Card List
      POST
    • 3.3 Adjust Card Balance
      POST
    • 3.4 Card Details
      POST
    • 3.5 Bind Card
      POST
    • 3.6 Close Card
      POST
    • 3.7 Freeze Card
      POST
    • 3.8 Unfreeze card
      POST
    • 3.9 Activate Card
      POST
    • 3.10 Card PAN
      POST
    • 3.11 Card PIN
      POST
    • 3.12 Card Limit
      POST
    • 3.13 Set Card Fee
      POST
    • 3.14 Query Card Fee
      POST
    • 3.15 3DS
      POST
    • 3.16 Update Phone
      POST
    • 3.17 Update Email
      POST
    • 3.18 Modify Card PIN
      POST
    • 3.19 Query the list of card tokens
      POST
    • 3.20 Activate the card with Google/Apple Token
      POST
    • 3.21 Card transaction limit
      POST
    • 3.22 Check card account transaction history
      POST
  • 04. Query logistics information
    • 4.1 Query Order
  • 05. Prefund
    • 5.1 Prefund Balance
    • 5.2 Query Bill Details
  • 06. Transaction
    • 6.1 Transaction History
    • 6.2 Transaction Details
  • 07. Simulated Trading
    • 7.1 Authorisation
    • 7.2 Clearing
    • 7.3 Refund
    • 7.4 Reversal
    • 7.5 3DS
    • 7.6 Simulate card status
  • 08. Webhook
    • 8.1 KYC Results
    • 8.2 Card Status
    • 8.3 Changes in card balance
    • 8.4 3DS
    • 8.5 Transaction
    • 8.6 Logistics status
    • 8.7 Token Notification
    • 8.9 Risk Control - Notification of Frozen Card Results
    • 8.10 Notification of failure to bind Google and Apple
    • 8.11 Notification of Fund Pool Top-up Arrival
  • Rests
    • [Sandbox] Edit WebHook-Url
    • JIT Authorized Transaction
  1. 03. Card

3.18 Modify Card PIN

POST
/openapi/card/updateCardPin
Modify the card PIN interface of the physical card
Key Rules
1.
4-Digit PIN Compatibility for 6-Digit Terminals
When a cardholder sets a 4-digit PIN, our system automatically enables support for terminals that require 6-digit PINs. No action is required from cardholders—this feature works automatically for all cards.
Cardholders simply enter their 4-digit PIN as usual at terminals that accept 4 digits.
If a Singaporean cardholder encounters a terminal that requires a 6-digit PIN, they only need to add 00 after the 4-digit PIN.
Example: If the PIN is 1314, they enter 131400.
2.
PIN Complexity Requirements
The following PIN patterns are not allowed when changing a PIN:
3 consecutive digits (ascending or descending), e.g., 012, 890
3 repeated digits, e.g., 111
These restrictions apply to both 4-digit and 6-digit PINs.

Request

Header Params

Body Params application/json

Example
{
    "cardId": "string",
    "cardPinNumber": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-test.tevaupay.com/openapi/card/updateCardPin' \
--header 'x-nexus-api-key;' \
--header 'versions: v1' \
--header 'appId;' \
--header 'timestamp;' \
--header 'nonce;' \
--header 'sign;' \
--header 'Content-Type: application/json' \
--data '{
    "cardId": "string",
    "cardPinNumber": "string"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "code": 0,
    "msg": "SUCCESS",
    "ok": true
}
🟠404
Modified at 2026-08-27 10:30:41
Previous
3.17 Update Email
Next
3.19 Query the list of card tokens
Built with